# Class CheckboxHeaderCellComponent<Data>

#### Type Parameters

- Data extends Record<string, any>

#### Implements

- OnInit

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:33

#####
Index

### Constructors

constructor

### Properties

checked$
indeterminate$
isMultipleSelection

### Methods

ngOnInit
onChange

##
Constructors

### constructor

- new CheckboxHeaderCellComponent<Data extends Record<string, any>>(
  cdkTable: CdkTable<Data>,
  selectRow: SelectRowService<Data>,
  ): CheckboxHeaderCellComponent<Data>

  #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - cdkTable: CdkTable<Data>
  - selectRow: SelectRowService<Data>

  #### Returns CheckboxHeaderCellComponent<Data>

  - Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:40

##
Properties

### checked$

checked$: Observable<boolean> = EMPTY

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:36

### indeterminate$

indeterminate$: Observable<boolean> = EMPTY

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:35

### isMultipleSelection

isMultipleSelection: boolean = false

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:38

##
Methods

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:49

### onChange

- onChange($event: MatCheckboxChange): void

  #### Parameters

  - $event: MatCheckboxChange

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:66